[Overview][Constants][Types][Classes][Procedures and functions][Index] | Reference for unit 'ComCtrls' (#lcl)

# TCustomHeaderControl.SectionTrack

Performs actions needed when the mouse tracking state for a header section has changed.

## Declaration

Source position: comctrls.pp line 4068

`protected procedure TCustomHeaderControl.SectionTrack(`
`Section: THeaderSection;`
`State: TSectionTrackState`
`); virtual;`

## Arguments

`Section` |  | Header section for the mouse tracking state.
`State` |  | New mouse tracking state for the action.

## Description

Signals the OnSectionTrack event handler (when assigned). Called from the MouseDown, MouseMove, and MouseUp methods when mouse tracking is active for a section in the header control.

## See also

TCustomHeaderControl.MouseDown |  | Handles a mouse down event for the control.
TCustomHeaderControl.MouseMove |  | Handler for MouseMove events.
TCustomHeaderControl.MouseUp |  | Signals the OnMouseUp handler.